Debian Bug report logs - #467744
libdata-hierarchy-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libdata-hierarchy-perl; Maintainer for libdata-hierarchy-perl is Bastian Blank <waldi@debian.org>;

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:16:35 UTC

Severity: important

Tags: patch

Found in version libdata-hierarchy-perl/0.34-1

Fixed in version libdata-hierarchy-perl/0.34-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Bastian Blank <waldi@debian.org>:
Bug#467744; Package libdata-hierarchy-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libdata-hierarchy-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:13 +0200
Package: libdata-hierarchy-perl
Version: 0.34-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Blank <waldi@debian.org>:
Bug#467744; Package libdata-hierarchy-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Blank <waldi@debian.org>. Full text and rfc822 format available.

Message #10 received at 467744@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467744@bugs.debian.org
Subject: libdata-hierarchy-perl: diff for NMU version 0.34-1.1
Date: Sat, 5 Apr 2008 22:58:30 +0100
[Message part 1 (text/plain, inline)]
tags 467744 + patch
thanks

Hi,

Attached is the diff for my libdata-hierarchy-perl 0.34-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libdata-hierarchy-perl-0.34-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:00:55 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467744-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467744-close@bugs.debian.org
Subject: Bug#467744: fixed in libdata-hierarchy-perl 0.34-1.1
Date: Sat, 05 Apr 2008 22:03:05 +0000
Source: libdata-hierarchy-perl
Source-Version: 0.34-1.1

We believe that the bug you reported is fixed in the latest version of
libdata-hierarchy-perl, which is due to be installed in the Debian FTP archive:

libdata-hierarchy-perl_0.34-1.1.diff.gz
  to pool/main/libd/libdata-hierarchy-perl/libdata-hierarchy-perl_0.34-1.1.diff.gz
libdata-hierarchy-perl_0.34-1.1.dsc
  to pool/main/libd/libdata-hierarchy-perl/libdata-hierarchy-perl_0.34-1.1.dsc
libdata-hierarchy-perl_0.34-1.1_all.deb
  to pool/main/libd/libdata-hierarchy-perl/libdata-hierarchy-perl_0.34-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467744@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libdata-hierarchy-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:08:55 +0100
Source: libdata-hierarchy-perl
Binary: libdata-hierarchy-perl
Architecture: source all
Version: 0.34-1.1
Distribution: unstable
Urgency: low
Maintainer: Bastian Blank <waldi@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libdata-hierarchy-perl - Handle data in a hierarchical structure
Closes: 467744
Changes: 
 libdata-hierarchy-perl (0.34-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467744
Files: 
 0f8a4e249446fe1a1b759bcc3672ea1c 682 perl optional libdata-hierarchy-perl_0.34-1.1.dsc
 ca73bb40809eb26a89235e9891d0f57d 1839 perl optional libdata-hierarchy-perl_0.34-1.1.diff.gz
 00706e673bbcd40db57c82f53c4a579e 13130 perl optional libdata-hierarchy-perl_0.34-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/H4NIW6CNDsByMRAr42AJ4gu9HCTa+uQrQYTZ+z3ZxRoCIfYQCZAVee
oxQV3VTwGX++qLPAlG3oQg0=
=53Bg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:41:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:04:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.